/**
 * 
 * Support classes useful for encoding and supporting the various RSA PKCS documents.
 */
package org.bouncycastle.asn1.pkcs;


public class PKCSObjectIdentifiers {

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier rsaEncryption;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier dhKeyAgreement;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier des_EDE3_CBC;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier RC2_CBC;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier md2;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier md4;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier md5;

	public static final String pkcs_7 = "1.2.840.113549.1.7";

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier data;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier signedData;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier envelopedData;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier signedAndEnvelopedData;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier digestedData;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier encryptedData;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier pkcs_9_at_emailAddress;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier pkcs_9_at_unstructuredName;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier pkcs_9_at_contentType;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier pkcs_9_at_messageDigest;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier pkcs_9_at_signingTime;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier pkcs_9_at_counterSignature;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier pkcs_9_at_challengePassword;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier pkcs_9_at_unstructuredAddress;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier pkcs_9_at_extendedCertificateAttributes;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier pkcs_9_at_smimeCapabilities;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier preferSignedData;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier canNotDecryptAny;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier sMIMECapabilitiesVersions;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier id_ct;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier id_ct_authData;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier id_ct_TSTInfo;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier id_ct_compressedData;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier id_ct_authEnvelopedData;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier id_ct_timestampedData;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier id_cti_ets_proofOfOrigin;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier id_cti_ets_proofOfReceipt;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier id_cti_ets_proofOfDelivery;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier id_cti_ets_proofOfSender;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier id_cti_ets_proofOfApproval;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier id_cti_ets_proofOfCreation;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier id_aa;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier id_aa_contentHint;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier id_aa_encrypKeyPref;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier id_aa_ets_sigPolicyId;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier id_aa_ets_commitmentType;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier id_aa_ets_signerLocation;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier id_aa_ets_signerAttr;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier id_aa_ets_otherSigCert;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier id_aa_ets_contentTimestamp;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier id_aa_ets_certificateRefs;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier id_aa_ets_revocationRefs;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier id_aa_ets_certValues;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier id_aa_ets_revocationValues;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier id_aa_ets_escTimeStamp;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier id_aa_ets_certCRLTimestamp;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier id_aa_ets_archiveTimestamp;

	public PKCSObjectIdentifiers() {
	}
}
