/**
 * 
 * Classes for support of the SEC standard for Elliptic Curve.
 */
package org.bouncycastle.asn1.sec;


public interface SECObjectIdentifiers {

	/**
	 *   ellipticCurve OBJECT IDENTIFIER ::= {
	 *         iso(1) identified-organization(3) certicom(132) curve(0)
	 *   }
	 */
	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier ellipticCurve;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier sect163k1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier sect163r1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier sect239k1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier sect113r1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier sect113r2;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier secp112r1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier secp112r2;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier secp160r1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier secp160k1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier secp256k1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier sect163r2;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier sect283k1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier sect283r1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier sect131r1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier sect131r2;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier sect193r1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier sect193r2;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier sect233k1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier sect233r1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier secp128r1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier secp128r2;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier secp160r2;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier secp192k1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier secp224k1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier secp224r1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier secp384r1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier secp521r1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier sect409k1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier sect409r1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier sect571k1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier sect571r1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier secp192r1;

	public static final org.bouncycastle.asn1.ASN1ObjectIdentifier secp256r1;
}
